prod {base} | R Documentation

## Product of Vector Elements

### Description

`prod` returns the product of all the values present in its arguments.

### Usage

    prod(..., na.rm = FALSE)

### Arguments

`...` | numeric or complex or logical vectors.
`na.rm` | logical. Should missing values be removed?

### Details

If `na.rm` is `FALSE` an `NA` value in any of the arguments will cause a value of `NA` to be returned, otherwise `NA` values are ignored.

This is a generic function: methods can be defined for it directly or via the `Summary` group generic. For this to work properly, the arguments `...` should be unnamed.

Logical true values are regarded as one, false values as zero. For historical reasons, `NULL` is accepted and treated as if it were `numeric(0)`.

### Value

The product, a numeric or complex vector or length one. NB: the product of an empty set is one, by definition.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`sum`, `cumprod`, `cumsum`.

### Examples

    print(prod(1:7)) == print(gamma(8))

[Package base version 2.3.1 Index]